public abstract class PhysicsElement {
   private final int myId; /* to identify each element within its category */
   
   protected PhysicsElement( int id){
      myId = id;
   }
   protected int getId() {
      return myId;
   }
   public abstract double getPosition();
   public abstract float getMass();
   public abstract float getRadius();
   public abstract double getSpeed();
   public abstract boolean collide(PhysicsElement pe);
   public abstract void computeNextState(double delta_t, MyWorld w);
   public abstract void updateState();
   public abstract String getDescription();
   public abstract String getState();
}
