import java.util.*;

public class Wall extends PhysicsElement  {
   private static int id=0;
   private static float mass=Float.MAX_VALUE/1000.0f;
   private double pos;     // position in ne dimention
   
   private Wall(){   // nobody can create Wall without position
     super(id++);
   }
   public Wall(float pos, MyWorld world){
      super(id++);
      this.pos=pos;
      world.addElement(this);
   }
   public float getMass(){
      return mass;
   }
   public float getRadius(){
      return 0.0f;
   }
   public double getPosition() {
      return pos;
   }
   public double getSpeed() {
      return 0.0;
   }
   public boolean collide(PhysicsElement pe) {
      return Math.abs(pe.getPosition()-pos) < pe.getRadius();
   }
   public void computeNextState(double delta_t, MyWorld w){
   }
   public void updateState(){
   }
   public String getDescription() {
      return "Wall_" + getId()+": x ";
   }
   public String getState() {
      return getPosition()+"  ";
   }
}
